Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Static Public Member Functions | List of all members
FlexibleKeyCode Class Reference

Class to handle a flexible KeyCode type reference method there is more than one. More...

Inheritance diagram for FlexibleKeyCode:

## Public Member Functions
| FlexibleKeyCode ()
| FlexibleKeyCode default constructor More...
| FlexibleKeyCode (KeyCode value)
| FlexibleKeyCode constructor More...
| FlexibleKeyCode (AnyParameterReference parameter)
| FlexibleKeyCode constructor More...
| FlexibleKeyCode (InputSlotAny slot)
| FlexibleKeyCode constructor More...
Public Member Functions inherited from FlexibleField< KeyCode >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator KeyCode (FlexibleKeyCode flexible)
| Cast FlexibleKeyCode to KeyCode. More...
static | operator FlexibleKeyCode (KeyCode value)
| Cast KeyCode to FlexibleKeyCode. More...
Static Public Member Functions inherited from FlexibleField< KeyCode >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< KeyCode >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< KeyCode >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible KeyCode type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleKeyCode() [1/4]

FlexibleKeyCode | ( |  | ) |

FlexibleKeyCode default constructor

## ◆ FlexibleKeyCode() [2/4]

FlexibleKeyCode | ( | KeyCode | value | ) |

FlexibleKeyCode constructor

Parameters

  value | Value

## ◆ FlexibleKeyCode() [3/4]

FlexibleKeyCode | ( | AnyParameterReference | parameter | ) |

FlexibleKeyCode constructor

Parameters

  parameter | Parameter

## ◆ FlexibleKeyCode() [4/4]

FlexibleKeyCode | ( | InputSlotAny | slot | ) |

FlexibleKeyCode constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator FlexibleKeyCode()

static operator FlexibleKeyCode | ( | KeyCode | value | ) |
| explicit static

Cast KeyCode to FlexibleKeyCode.

Parameters

  value | KeyCode

## ◆ operator KeyCode()

static operator KeyCode | ( | FlexibleKeyCode | flexible | ) |
| explicit static

Cast FlexibleKeyCode to KeyCode.

Parameters

  flexible | FlexibleKeyCode